summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Josiah Boothby <josiahb@gmail.com>2010-08-15 18:15:04 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-15 20:53:42 -0500
commit5b7a24f34b4f7cc7c18a42803b82a21c73043b39 (patch)
tree45ba8b3d3a957f9e5fabb4ddc55ab7bfe5d6a667 /desktop
parentd81d89c3790d9130119d28e211c154c1a580f665 (diff)
downloadslackbuilds-5b7a24f34b4f7cc7c18a42803b82a21c73043b39.tar.gz
slackbuilds-5b7a24f34b4f7cc7c18a42803b82a21c73043b39.tar.xz
desktop/skulpture: Added (A KDE4 style)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/skulpture/README10
-rw-r--r--desktop/skulpture/skulpture.SlackBuild82
-rw-r--r--desktop/skulpture/skulpture.info10
-rw-r--r--desktop/skulpture/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/desktop/skulpture/README b/desktop/skulpture/README
new file mode 100644
index 0000000000..dd4be61308
--- /dev/null
+++ b/desktop/skulpture/README
@@ -0,0 +1,10 @@
+Skulpture is a GUI style addon for KDE programs. It features a classical
+three-dimensional artwork with shadows and smooth gradients to enhance
+the visual experience. Skulpture has been designed to be light and easy
+on the eyes; many distracting borders or graphical elements have been
+removed or replaced by simpler artwork (see NOTES and README for
+additional information). Skulpture includes a kwin decoration as well as
+a GUI style.
+
+As a KDE style, Skulpture depends on KDE4, part of a default Slackware
+installation.
diff --git a/desktop/skulpture/skulpture.SlackBuild b/desktop/skulpture/skulpture.SlackBuild
new file mode 100644
index 0000000000..1f250d6d96
--- /dev/null
+++ b/desktop/skulpture/skulpture.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for Skulpture (a KDE4 style)
+# Written by Josiah Boothby <josiahb@gmail.com>
+
+PRGNAM=skulpture
+VERSION=${VERSION:-0.2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCUMENTATION="AUTHORS BUGS COPYING NEWS NOTES README README.html"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/*-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# No man or info pages to compress
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $DOCUMENTATION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/skulpture/skulpture.info b/desktop/skulpture/skulpture.info
new file mode 100644
index 0000000000..3af948ea8a
--- /dev/null
+++ b/desktop/skulpture/skulpture.info
@@ -0,0 +1,10 @@
+PRGNAM="skulpture"
+VERSION="0.2.4"
+HOMEPAGE="http://skulpture.maxiom.de"
+DOWNLOAD="http://kde-look.org/CONTENT/content-files/59031-skulpture-0.2.4.tar.gz"
+MD5SUM="bf22c1122e99f3c80c95deeea5b20ed5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Josiah Boothby"
+EMAIL="josiahb@gmail.com"
+APPROVED="dsomero"
diff --git a/desktop/skulpture/slack-desc b/desktop/skulpture/slack-desc
new file mode 100644
index 0000000000..e79f21e793
--- /dev/null
+++ b/desktop/skulpture/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+skulpture: Skulpture (KDE4 style)
+skulpture:
+skulpture: Skulpture is a GUI style addon for KDE4, featuring classical
+skulpture: three-dimensional artwork. Flat gradients are used to oppose
+skulpture: the current trend of shiny or "glassy" buttons used in other
+skulpture: styles. Light and shadow effects are applied to generate the
+skulpture: impression of a three-dimensional user interface.
+skulpture:
+skulpture:
+skulpture:
+skulpture: